Loading...
Searching...
No Matches
stdex::block_hash< T > Class Template Referenceabstract

Hashing in blocks. More...

`#include <stdex/hash.hpp>`

Inheritance diagram for stdex::block_hash< T >:

## Public Member Functions

virtual void | clear ()
| Initializes hash value and internal state.
virtual void | hash (_In_reads_bytes_opt_(length) const void *data, size_t length)
| Hashes block of data.
Public Member Functions inherited from stdex::basic_hash< T >
virtual void | finalize ()=0
| Finalizes hash value.
const T & | data ()
| Returns hash value.
| operator const T & () const
| Returns hash value.

## Protected Member Functions

virtual void | hash_block ()=0

## Protected Attributes

uint32_t | m_counter [2]
union { |
uint8_t m_queue [64] |
uint32_t m_temp [16] |
}; |  |
Protected Attributes inherited from stdex::basic_hash< T >
T | m_value

## Additional Inherited Members

Static Public Member Functions inherited from stdex::basic_hash< T >
static size_t | size ()
| Returns size of the hash value in bytes.

## Detailed Description

template<class T>
class stdex::block_hash< T >

Hashing in blocks.

## Member Function Documentation

## clear()

template<class T >

virtual void stdex::block_hash< T >::clear | ( |  | ) |

inlinevirtual

Initializes hash value and internal state.

Implements stdex::basic_hash< T >.

Reimplemented in stdex::md5_hash, and stdex::sha1_hash.

## hash()

template<class T >

virtual void stdex::block_hash< T >::hash | ( | _In_reads_bytes_opt_(length) const void * | data,
|  | size_t | length
| ) |  |

inlinevirtual

Hashes block of data.

Parameters

  [in] | data | Pointer to data
  [in] | length | Amount of data in bytes

Implements stdex::basic_hash< T >.

The documentation for this class was generated from the following file:

- include/stdex/hash.hpp